#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t number_count{};
    size_t max_count{};
};

Input
input_data() {
    Input in;
    cerr << "Enter number count: ";
    cin >> in.number_count;

    vector<double> numbers(in.number_count);
    in.numbers.resize(in.number_count);
    for (size_t i = 0; i < in.number_count; i++) {
        cin >> in.numbers[i];
    }

    size_t bin_count;
    cerr << "Enter bin count: ";
    cin >> in.bin_count;

    size_t max_count;
    in.max_count = 0;
    return in;
}

int main()
{
    Input in = input_data();
    vector<size_t> bins = make_histogram(in.numbers, in.bin_count, in.number_count, in.max_count);
    show_histogram_text(bins, in.max_count, in.bin_count);
    return 0;

}
